<?php

function clickbank_get_final_url($url)
{
	ob_start();
	$timeout = 60; // set to zero for no timeout
	$ch = curl_init();
	curl_setopt ($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HEADER, TRUE);
	curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
	curl_setopt ($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1;) Gecko/2008070208 Firefox/3.0.1");
	$info = curl_getinfo($ch);
	curl_exec($ch);
	$header = ob_get_contents();
	curl_close($ch);
	ob_end_clean();
	$location = explode("Location:",$header);
	$location = $location[1];
	$location = explode("\n",$location);
	$location = trim($location[0]);
	
	return ($location);
}

function clickbank_file_get_contents($url,$page)
{
	while( $url2 = clickbank_get_final_url($url) ) { $url = $url2; sleep(1); }

	$headers = array();
	if(!empty($page) )	{	$headers[]= "page: $page";	}

	$ch = curl_init();
	$timeout = 0; // set to zero for no timeout
	
	curl_setopt ($ch, CURLOPT_URL, $url);
	@curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, true ); // allow redirects
	curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
//	curl_setopt ($ch, CURLOPT_MAXREDIRS, 10);	// stop after 10 redirects 
	curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
	curl_setopt ($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1;) Gecko/2008070208 Firefox/3.0.1");
	curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);	

	$html = curl_exec($ch);
	$html = trim($html);
	if( curl_errno($ch) )
	{
		$html = false;
		$error = curl_error($ch);
	}
	$info = curl_getinfo($ch);
	curl_close($ch);
	
	$full_url = $info["url"];

	$full_url 	= explode('?',$full_url);
	$full_url 	= $full_url[0];
	$folders	= explode('/', $full_url);
	if(sizeof($folders)>3)	{	unset( $folders[ sizeof($folders)-1 ] );	}
	$folder_url = implode("/",$folders);
	
	$root_url = explode('/',$folder_url);
	$root_url = $root_url[0].'//'.$root_url[2];
	
	// change upper case to lower case
	$html = str_replace(	array("<TITLE>","</TITLE>","<BODY>","<BODY ","</BODY>"),
							array("<title>","</title>","<body>","<body ","</body>"),
							$html
						);

	// cleanup javascript
	$html = preg_replace('#<script(.*?)>(.*?)</script>#is', '', $html);
	$html = str_replace(array("\r","\n"),array(" "," "),$html); 
	
	// update image urls
	$html = str_replace(" src=\"{$root_url}/"	," [src-root-url]/"			,$html);	
	$html = str_replace(" src=\"http:"			," [src-http]"				,$html);	
	$html = str_replace(" src=\"/"				," [src-root-url]/"			,$html);	
	$html = str_replace(" src=\".."				," [src-folder-url]/"		,$html);	
	$html = str_replace(" src=\""				," [src-folder-url]/"		,$html);	

	$html = str_replace("[src-http]"			," src=\"http:"				,$html);	
	$html = str_replace("[src-root-url]/"		," src=\"{$root_url}/"		,$html);	
	$html = str_replace("[src-folder-url]/"		," src=\"{$folder_url}/"	,$html);	

	// update background image urls
	$html = str_replace(" background=\"{$root_url}/"	," [background-root-url]/"			,$html);	
	$html = str_replace(" background=\"/"				," [background-root-url]/"			,$html);	
	$html = str_replace(" background=\".."				," [background-folder-url]/"		,$html);	
	$html = str_replace(" background=\""				," [background-folder-url]/"		,$html);	

	$html = str_replace("[background-root-url]/"		," background=\"{$root_url}/"		,$html);	
	$html = str_replace("[background-folder-url]/"		," background=\"{$folder_url}/"	,$html);	

	
	return $html;
}
?>