<?php
function clickbank_login($clickbank_id,$clickbank_pass)
{
	// start clickbank login
	include_once("clickbank-scrape.php");
	
	$clickbank_id = strtolower(trim($clickbank_id));
	$clickbank_pass = trim($clickbank_pass);

	$scrape 	= new CBScrape();
	$login_url 	= "https://{$clickbank_id}.accounts.clickbank.com/account/login";

	$data = array();
//	$data["destination"] ="/account/mainMenu.htm";
	$data["nick"] = $clickbank_id;
	$data["pass"] = $clickbank_pass;
	$data["login"] = "Log In";
	$data["rememberMe"] = "true";
	$data["j_username"] = $clickbank_id;
	$data["j_password"] = $clickbank_pass;

	$scrape->fetch($login_url,$data);
	
	// check login status
	$dashboard_url 	= "https://{$clickbank_id}.accounts.clickbank.com//account/mainMenu.htm";
	$scrape->fetch($dashboard_url);
	
	$site_page 	= $scrape->result;
	$login_status = (strpos($site_page,"Log Out")>0)? true:false;
	
	return $login_status;
}
?>