<?php
	global $clickbank_id;
	global $clickbank_pass;
	require_once("clickbank-login.php");

	$login_status = clickbank_login($clickbank_id,$clickbank_pass);
	if(!$login_status)
	{
		echo "<div>ClickBank Login : Failed <br/><br/> <i>Note : Please check ClickBank Settings and <a href=''>Refresh</a> this page.</i>)</div>";
	}
	else
	{
		echo "<div>ClickBank Login : Success</div>";

		$html = file_get_contents(dirname(__FILE__)."/clickbank-category.html");
		$html = explode("</div>",$html);
		unset($html[ sizeof($html)-1 ]);
		$main_cat	= array();
		$sub_cat 	= array();
		foreach($html as $key=>$value)
		{
			$value  = explode("</h1>",$value);
			$value[1] = explode("</li>",$value[1]);
			unset( $value[1][ sizeof($value[1])-1 ]);
			
			// parse main cat
			$value[0] = trim(strip_tags($value[0]));
			
			// parse sub cat
			foreach($value[1] as $key2=>$value2)
			{	
				$value[1][$key2] = trim(strip_tags($value2));	
				
				// issue fix : small quote in content
				if( empty($value[1][$key2]) )
				{
					$value2 = str_replace("<li class=\"mkpl-li\">
		","",$value2);
		
					$start = strpos($value2,">")+1;
					$end =  strpos($value2,"</a>",$start);
					$value[1][$key2] = trim(substr($value2,$start,$end-$start));
					
				}
			}
		
			// update array
			$html[$key]=$value;
		}
		//print_r($html);
		?>
		<div id="div_search_form" >
			<p><b>Search ClickBank Product :</b></p>
			<table width="100%" >
				<tr>
					<td width="75%" valign="top" >
						<table width="100%">
							<tr>
								<td>Category : </td>
								<td>
									<div id="div_maincat" >
										<select id="main_cat" name="main_cat" class="main_cat" onChange="clickbank_main_cat_select();" >
											<option></option>
									<?php foreach($html as $key=>$value) { $main_cat = htmlentities($value[0]); ?>
											<option><?php echo $main_cat;?></option>
									<?php } ?>
										</select>
									</div>
								</td>
							</tr>
							<tr>
								<td>Sub&nbsp;Category : </td>
								<td><div id="div_subcat" ></div></td>
							</tr>
						</table>
					</td>
					<td width="25%" valign="top" >
						<div id="div_button" ><input type="button" value="search" onclick="return clickbank_show_search_result(1);" ></div>
						<div id="div_show_process" ></div>
					</td>
				</tr>
			</table>
			<div id="div_search_result" ></div>
		</div>
		<div id="div_search_selected" ></div>
		<div id="div_search_selected_url" ></div>
		<div style="display:none;" >
			<div id="div_process" ><img src="<?php echo $theme_url;?>/clickbank/images/process.gif" /></div>
			<div id="div_subcatlist_0" ></div>
		<?php foreach($html as $key=>$value) {	$id = $key+1; ?>
			<div id="div_subcatlist_<?php echo $id;?>" >
				<select id="xIDx" name="xNAMEx" class="sub_cat">
					<option></option>
		<?php foreach($value[1] as $key2=>$value2){ ?>
					<option><?php echo $value2;?></option>
		<?php } ?>
				</select>
			</div>
		<?php } ?>
		</div>
	<?php 
	} 
?>