<?php

define('ADMIN_PATH', STYLESHEETPATH . '/admin/');

define('FUNCTIONS_PATH', STYLESHEETPATH . '/functions/');



//define some constants

define('CHILDTHEME', get_bloginfo('stylesheet_directory') . '/');

define('ADMIN', CHILDTHEME . 'admin/');

define('FUNCTIONS', CHILDTHEME . 'functions/');

define('LAYOUTS', CHILDTHEME . 'layouts/');

define('STYLES', STYLESHEETPATH . '/styles/');



// You can mess with these 2 if you wish.

$themedata = get_theme_data(STYLESHEETPATH . '/style.css');

define('THEMENAME', $themedata['Name']);

define('OPTIONS', 'of_options'); //name of entry into database - will break DB if this has spaces!





/* These files build out the options interface.  Likely won't need to edit these. */



require_once (ADMIN_PATH . 'admin-setup.php');		// Custom functions and plugins

require_once (ADMIN_PATH . 'admin-interface.php');	// Admin Interfaces 



/* These files build out the admin specific options and associated functions. */



require_once (ADMIN_PATH . 'theme-options.php'); 	// Options panel settings and custom settings

require_once (ADMIN_PATH . 'admin-functions.php'); 	// Theme actions based on options settings



//Thematic 0.9.7.6 compatible

define('THEMATIC_COMPATIBLE_BODY_CLASS', true);

define('THEMATIC_COMPATIBLE_POST_CLASS', true);

define('THEMATIC_COMPATIBLE_COMMENT_HANDLING', true);

define('THEMATIC_COMPATIBLE_COMMENT_FORM', true);

define('THEMATIC_COMPATIBLE_FEEDLINKS', true);



 require_once (TEMPLATEPATH . '/function/metabox.php');

// include (TEMPLATEPATH . '/function/autoresponder/autoresponder.php');

 include (TEMPLATEPATH . '/function/youtube-keyword/youtube_keyword.php');

 include (TEMPLATEPATH . '/function/text-files/text-files.php');

 //require_once (TEMPLATEPATH . '/function/share_icons_widget.php');



//custom widget

//add_action( 'widgets_init', create_function( '', 'register_widget( "socialsharelinks_widget" );' ) );





//custom meta field

add_action( 'add_meta_boxes', 'myplugin_add_custom_box' );



add_action( 'save_post', 'myplugin_save_postdata' );



add_theme_support( 'post-thumbnails' ); 







function headAction(){



	//$license = get_option('theme_license'); 

	//$hash    = md5( $_SERVER['SERVER_NAME'] . "A96662269x" );

//	update_option('theme_license',$hash); 

//if ($license !== $hash) {

	//if ($license =='') {

		//die("<div style='background:white;padding: 10px;'>Please purchase a license at <a href=\"http://wpclickstore.com/\">WP Click Store</a></div>");

	//}

	

	

}





add_action('wp_head', 'headAction');

?>