<?php
//    $data = get_option(OPTIONS); print_r($data);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'andre' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<!--[if lte IE 7]>
<link href="<?php echo get_stylesheet_directory_uri(); ?>/css/ie.css" rel="stylesheet" type="text/css" media="screen" />
<![endif]-->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/anythingslider.css"/>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
<?php

	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	wp_head();
?>
<?php wp_enqueue_script('jquery'); ?>

<script src="<?php bloginfo('template_directory'); ?>/js/jquery.tools.min.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.rating.pack.js"></script>
<!-- This JavaScript snippet activates those tabs -->
<script>

$('.star').rating();

$('.star').click(function() {
  $("input#rating").val($(this).text());
});

$('div.rating-cancel a').click(function() {
  $("input#rating").val("").css("display","block");
});  


// perform JavaScript after the document is scriptable.
$(function() {
	// setup ul.tabs to work as tabs for each div directly under div.panes
	$("ul.tabs").tabs("div.panes > div");
	$("#accordion").tabs("#accordion div.pane", {tabs: 'h2', effect: 'slide', initialIndex: null});
});
</script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon-yui.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/Sansation_400-Sansation_700.font.js"></script>
<script type="text/javascript">	
		Cufon.replace('#sidebar h3');		
		Cufon.replace('#content h2');
		Cufon.replace('#content-full h2');
		Cufon.replace('.banner-title h2');
		Cufon.replace('.banner-text');		
			
</script>
	
<?php global $data; ?>	
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/<?php echo $data['review_site_empire-skin']; ?>.css"/>
	
	
<style type="text/css" media="screen">
	
	<?php if (isset($data['background_top'])): ?>
	
	body{
		background: <?php echo $data['background_top']; ?>; /* Old browsers */
		background: -moz-linear-gradient(top, <?php echo $data['background_top']; ?> 0%, <?php echo $data['background_bottom']; ?> 100%); /* FF3.6+ */
		background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $data['background_top']; ?>), color-stop(100%,<?php echo $data['background_bottom']; ?>)); /* Chrome,Safari4+ */
		background: -webkit-linear-gradient(top, <?php echo $data['background_top']; ?> 0%,<?php echo $data['background_bottom']; ?> 100%); /* Chrome10+,Safari5.1+ */
		background: -o-linear-gradient(top, <?php echo $data['background_top']; ?> 0%,<?php echo $data['background_bottom']; ?> 100%); /* Opera 11.10+ */
		background: -ms-linear-gradient(top, <?php echo $data['background_top']; ?> 0%,<?php echo $data['background_bottom']; ?> 100%); /* IE10+ */
		background: linear-gradient(to bottom, <?php echo $data['background_top']; ?> 0%,<?php echo $data['background_bottom']; ?> 100%); /* W3C */
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $data['background_top']; ?>', endColorstr='<?php echo $data['background_bottom']; ?>',GradientType=0 ); /* IE6-9 */
	
	}
	
	<?php endif ?>
	
	<?php if( $data['background_img'] !== '' ): ?>
	
	body{
		background-image: url(<?php echo $data['background_img']; ?>);
		background-repeat: repeat-x;
		background-position: top left;
	}
	
	<?php endif; ?>
	
	
</style>
	
</head>

<body class="custom-background-c">
        <div class="theme-background <?php body_class() ?>">
<div class="access">
 
</div>
<?php if($data['menu_location'] == 0): ?>


	<!--<div id="header-top-all">
		<div id="header-top">
			<div id="mainnav">

				<?php  wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
			</div>
			<div id="socialbox">
				<ul>
                                        <?php if($data['review_site_empire-twitter']<>""){ ?><li><a target="_blank" href="<?php echo $data['review_site_empire-facebook']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/facebook-icon.png"></a></li><?php } ?>
					<?php if($data['review_site_empire-rss']<>""){ ?><li><a target="_blank" href="<?php echo $data['review_site_empire-rss']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/rss-icon.png"></a></li><?php } ?>
					<?php if($data['review_site_empire-twitter']<>""){ ?><li><a target="_blank" href="<?php echo $data['review_site_empire-twitter']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/twitter-icon.png"></a></li><?php } ?>
				</ul>
			</div>			
		</div>
	</div>-->


<?php endif; ?>

<div id="wrapper">

	<div id="header">
		<div id="logo">
			<a href="<?php echo home_url(); ?>/">
			<?php if($data['logo']<>''){ ?>
					<img src="<?php echo $data['logo']; ?>" alt="" />
			<?php } else { ?>	
					<img src="<?php echo bloginfo('template_directory'); ?>/images/header/<?php echo $data['logo_default']; ?>.png" width="1040" height="195" alt="" />
			<?php } ?>
			
			<?php if($data['header_custom_text']<>''){ ?>
				<div class="custom_header"><?php echo $data['header_custom_text']; ?></div>
			<?php } ?>
			</a>
		</div>
	</div>
	<div id="nav">
		<div id="mainnav1">
		 
			<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
		</div>	
	</div>
	
	
<?php if($data['review_site_empire-rotator']<>''){ ?>			
	<?php include $data['review_site_empire-slider']; ?>	
<?php } ?>	