<?php
include_once("clickbank-scrape.php");
$clickbank_id = stripslashes($_GET["u"]);
$main_cat 	= stripslashes($_GET["m"]);
$sub_cat 	= stripslashes($_GET["s"]);
$page   	= stripslashes($_GET["p"]);

$main_cat 	= str_replace('/','_',$main_cat);
$sub_cat 	= str_replace('/','_',$sub_cat);

$main_cat 	= rawurlencode($main_cat);
$sub_cat 	= rawurlencode($sub_cat);

$xml_url 	="https://{$clickbank_id}.accounts.clickbank.com/api2/marketplace/{$main_cat}/{$sub_cat}?sortField=GRAVITY&resultsPerPage=10";
$count=0;
// $xml_data = clickbank_file_get_contents($xml_url,$page);

$scrape 	= new CBScrape();
$scrape->headers = array("page: $page");
$scrape->fetch($xml_url);
$xml_data 	= $scrape->result;

if( empty($xml_data) )
{	echo "<< no search result >>";	}
else
{		?>
<table id="clickbank_search_result" >
	<tr class="header" >
		<th class="title" >Title</th>
		<th class="gravity" >Gravity</th>
		<th class="commission" >Commission</th>
		<th class="select" >Select</th>
	</tr>
	
	<?php 
	$xml = @simplexml_load_string($xml_data);
	if(is_object($xml) )
	{
		$even = false;
		foreach($xml->details as $key=>$detail)
		{
			$site	= $detail->site;
			$url 	= "http://zzzzz.{$site}.hop.clickbank.net/";
		
			//	$title 	= $detail->title;
			$title 	= $detail->title;
		
			$gravity = $detail->marketplaceStats->gravity;
			$initialDollarsPerSale = $detail->marketplaceStats->initialDollarsPerSale;
			?>
	
	<tr class="row<?php echo $even?"2":"1";?>" >
		<td class="title" ><?php echo "$title";?></td>
		<td class="gravity"><?php echo $gravity;?></td>
		<td class="commision">$ <?php echo $initialDollarsPerSale;?></td>
		<td class="select"><input type="button" value="select" onclick="return clickbank_show_site_title('<?php echo $site;?>');" /></td>
	</tr>

			<?php 
			$count++;
			
			$even = !$even;
		}
	}
	?>
</table>
<div id="div_paging" ><input type="button" value="<< Previous 10" onclick="return clickbank_show_search_result(<?php echo $page-1;?>);" <?php echo ($page==1)?'disabled="disabled"':'';?> /> Page : <?php echo $page;?> <input type="button" value="Next 10 >>" onclick="return clickbank_show_search_result(<?php echo $page+1;?>);" <?php echo ($count<10)?'disabled="disabled"':'';?>  /></div>
<?php
}
return;

/*
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<marketplaceSearchResult>
	<totalHitCount>616</totalHitCount>
	<length>10</length>
	<details>
		<site>GLPHOTO</site>
		<title>The Science Of Great Landscape Photography.</title>
		<description>Learn The Science Of Taking Great Landscape Photographs With Any Camera And A Few Basic Accessories With This $19.95 216-page Ebook(r)!</description>
		<analyticsData xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:nil="true"/>
		<marketplaceStats>
			<category>Arts &amp; Entertainment</category>
			<subCategory>Photography</subCategory>
			<categoryIdPath>.1000.1253.</categoryIdPath>
			<subCategoryIdPath>.1000.1253.1257.</subCategoryIdPath>
			<commission>50</commission>
			<initialDollarsPerSale>0.00</initialDollarsPerSale>
			<gravity>0.00</gravity>
			<pctPerSale>0.0</pctPerSale>
			<pctPerRebill>0.0</pctPerRebill>
			<averageDollarsPerSale>0.00</averageDollarsPerSale>
			<totalRebill>0.00</totalRebill>
			<affiliateUrlProvided>false</affiliateUrlProvided>
			<de>false</de>
			<en>true</en>
			<es>false</es>
			<fr>false</fr>
			<it>false</it>
			<pt>false</pt>
			<standard>true</standard>
			<physical>false</physical>
			<rebill>false</rebill>
			<upsell>false</upsell>
			<standardUrlPresent>true</standardUrlPresent>
			<mobileEnabled>false</mobileEnabled>
			<spotlightActive>false</spotlightActive>
			<whitelistVendor>false</whitelistVendor>
			<hotpick>false</hotpick>
			<preferredVendor>false</preferredVendor>
			<dollarTrial>false</dollarTrial>
		</marketplaceStats>
	</details>
	<shingleUp>false</shingleUp>
</marketplaceSearchResult>
*/
?>