<?php get_header(); ?>

	<div id="container">
		<div id="content">
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class();?>>
					<div class="entry-box">
						<h2><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>		
						<div class="entry-meta"><?php the_time('F jS, Y') ?></div>
						<?php the_content(); ?>
						<div class="morepage-list"><?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?></div>
						<div class="post-box">Posted in: <?php the_category(', ') ?> <?php the_tags(); ?> <?php comments_popup_link('No Comments &#187;','1 Comment &#187;','% Comments &#187;'); ?></div>
						<hr/>
					</div>
				</div>
				
				<?php comments_template(); ?>
			<?php endwhile; ?>
		<?php else : ?>
		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p> <?php get_search_form(); ?>
		<?php endif; ?>
	</div><!-- content -->
	<?php get_sidebar(); ?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>